Name: ninja
Version: 1.5.8.1
Release: 6
License: GPL
Summary: Text based Internet Relay Chat (IRC) client
Group: Applications/Internet
URL: http://ninja.qoop.org/
Source0: ftp://ninja.qoop.org/ninja/sources/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-doc.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel

%description
Ninja IRC is yet another ircII-based IRC client. Its many extra features
include enhanced socket handling, additional resolving capabilities,
ANSI and MIRC color support, MIRC-style DCC RESUME, cloak mode, a friend
list, an enemy list, SOCKS v4&5 proxy support, more ircii $func()
functions, auto-rejoin, cycling auto-reconnect, auto-dcc get, improved
ban/unban handling, cached information, NDCC file offering, and much
more.

Install Ninja IRC if you want to participate (troll, lurk, hang out) in
irc channels.  Especially if you want to have power features.

%prep
%setup -q
%patch -p1

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

ln -sf %{name}-%{version} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{_mandir}/ninja.* %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root, 755)
%{_bindir}/%{name}
%{_bindir}/%{name}-%{version}
%{_bindir}/%{name}io
%{_bindir}/%{name}flush
%{_bindir}/%{name}wserv
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/script
%{_datadir}/%{name}/translation
%{_datadir}/%{name}/help
%{_mandir}/man1/*
%defattr(644,root,root, 755)
%doc README ChangeLog BUGS+TODO

%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.5.8.1-6
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 16 2006 Adrian Reber <adrian@lisas.de> - 1.5.8.1-5
- rebuilt

* Sun Mar 12 2006 Adrian Reber <adrian@lisas.de> - 1.5.8.1-4
- rebuilt

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.5.8.1-3
- Include ninja directory in datadir.

* Tue Feb 25 2003 Adrian Reber <adrian@lisas.de> - 1.5.8.1-0.fdr.1
- applied fedora naming conventions

* Mon Sep 23 2002 Vladimir Furtado Krachinski <vladimir@conectiva.com.br>
+ 2002-09-23 15:33:37 (15665)
- Changed %%doc permissions

* Fri Sep 20 2002 Vladimir Furtado Krachinski <vladimir@conectiva.com.br>
+ 2002-09-20 14:50:25 (15574)
- First Build for Conectiva Linux
- Added documentation patch

* Fri Sep 20 2002 Vladimir Furtado Krachinski <vladimir@conectiva.com.br>
+ 2002-09-20 14:39:39 (15573)
- Created snapshot directory for ninja.
